<?php

class Waindigo_InstallUpgrade_Option_Undismiss
{

    public static function undismiss(&$option, XenForo_DataWriter $dw, $fieldName)
    {
        if (empty($option)) {
            $installUpgradeBroadcast = XenForo_Application::getSimpleCacheData('installUpgradeBroadcast');

            unset($installUpgradeBroadcast['dismiss']);

            XenForo_Application::setSimpleCacheData('installUpgradeBroadcast', $installUpgradeBroadcast);
        }

        return true;
    }
}